Bug 175292 - www/baikal dependencies
www/baikal dependencies
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: Adam Weinberger
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-01-14 16:20 UTC by Guillaume Bibaut
Modified: 2013-02-18 17:16 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Guillaume Bibaut 2013-01-14 16:20:00 UTC
It seems there are a few problems with this port :
- I don't know why but I had to download the tarball with a browser and had to put it in /usr/ports/distfiles/. `fetch` seems to hang and then fails.
- downloaded the tarball from a browser, and the distinfo (sha256 and size) are not up to date. had to manually patch it.
- there are missing dependencies with USE_PHP in BAIKAL, here is a snippet of my bulk file using poudriere to create packages :

www/baikal
www/php5-session
converters/php5-mbstring
textproc/php5-dom

so it's missing 'session', 'mbstring', and 'dom'

Fix: 

download with a browser the baikal-regular-0.2.4.tgz, copy it to /usr/port/distfiles/
regen /usr/ports/www/baikal/distinfo

I don't have a patch for this
How-To-Repeat: make -C /usr/ports/www/baikal install clean

it doesn't fetch
Comment 1 Edwin Groothuis freebsd_committer 2013-01-14 16:20:08 UTC
Responsible Changed
From-To: freebsd-ports-bugs->adamw

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 Adam Weinberger freebsd_committer 2013-01-23 21:20:55 UTC
State Changed
From-To: open->feedback

Guillaume - 

Thanks so much for sending this PR. I'll get the missing PHP 
dependencies in there right away. 

The inability to fetch and the changed checksum is very odd. I have no 
problem fetching the distfile and the checksum matches for me. 

[root@apnoea /usr/ports/BUILD/baikal] make distclean 
===>  Cleaning for baikal-0.2.4_1 
===>  Deleting distfiles for baikal-0.2.4_1 
[root@apnoea /usr/ports/BUILD/baikal] make fetch checksum 
=> baikal-regular-0.2.4.tgz doesn't seem to exist in /usr/ports/distfiles/. 
=> Attempting to fetch http://baikal.codr.fr/get/baikal-regular-0.2.4.tgz 
baikal-regular-0.2.4.tgz                      100% of  848 kB  666 kBps 
=> SHA256 Checksum OK for baikal-regular-0.2.4.tgz. 

Can you please show me the errors you're getting when you try to fetch 
it? And can you show me the checksum info from the distfile you obtained? 

# Adam
Comment 3 dfilter freebsd_committer 2013-01-23 21:36:28 UTC
Author: adamw
Date: Wed Jan 23 21:36:14 2013
New Revision: 310901
URL: http://svnweb.freebsd.org/changeset/ports/310901

Log:
  Add in some missing php module dependencies.
  
  PR:		ports/175292
  Submitted by:	Guillaume Bibaut <yom@iaelu.net>
  
  Also, change the WWW and MASTER_SITE to match the project's new domain
  name. The above PR notes some difficulty fetching the distfile, perhaps
  eliminating the extra redirect will help there.

Modified:
  head/www/baikal/Makefile
  head/www/baikal/pkg-descr

Modified: head/www/baikal/Makefile
==============================================================================
--- head/www/baikal/Makefile	Wed Jan 23 21:20:58 2013	(r310900)
+++ head/www/baikal/Makefile	Wed Jan 23 21:36:14 2013	(r310901)
@@ -3,16 +3,16 @@
 
 PORTNAME=		baikal
 PORTVERSION=	0.2.4
-PORTREVISION=	1
+PORTREVISION=	2
 CATEGORIES=		www
-MASTER_SITES=	http://baikal.codr.fr/get/
+MASTER_SITES=	http://baikal-server.com/get/
 DISTNAME=		${PORTNAME}-regular-${PORTVERSION}
 EXTRACT_SUFX=	.tgz
 
 MAINTAINER=		adamw@FreeBSD.org
 COMMENT=		Lightweight CalDAV/CardDAV server
 
-USE_PHP=		ctype filter xml pdo_sqlite
+USE_PHP=		ctype filter xml pdo_sqlite session mbstring dom
 
 WRKSRC=			${WRKDIR}/${PORTNAME}-regular
 NO_BUILD=		yes

Modified: head/www/baikal/pkg-descr
==============================================================================
--- head/www/baikal/pkg-descr	Wed Jan 23 21:20:58 2013	(r310900)
+++ head/www/baikal/pkg-descr	Wed Jan 23 21:36:14 2013	(r310901)
@@ -10,4 +10,4 @@ run at the root of a VirtualHost or subd
 sample Apache and Nginx configurations, and INSTALL.md for all
 the gory details.
 
-WWW: http://baikal.codr.fr/
+WWW: http://baikal-server.com/
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 4 Adam Weinberger freebsd_committer 2013-02-18 17:13:45 UTC
State Changed
From-To: feedback->closed

No response from submitter here, so I'm closing this PR regardless. 
However, I believe the issues are resolved here anyway. 

The dependencies have been added. As for the distfile changes, submitter 
must have fetched during a temporary upstream issue as I've had no other 
reports of fetch problems. As for the distfile changing, submitter notes 
that he pulled from github, not MASTER_SITE. github changes the path name 
to Baikal, and the published distfile uses lower-case baikal. I can find 
no other differences.